# Building the lib

The following procedure has been written for Ubuntu 22.04 OS.


Install the dependencies :

```
./prepare_build.sh
```

## Building librealsense

Clone the repository : 

```
git clone https://github.com/IntelRealSense/librealsense.git
```


Create the build directory and prepare the build 

```
cd librealsense
mkdir build && cd build
cmake ../
make
```

Once built, install the lib :

```
make install
```


##  Building lib sandbox

Clone the repository (and checkout to the opencv4 branch)

```
git clone ssh://git@ssh.hesge.ch:10572/ar_sandbox/ar_sandbox_lib.git
git checkout opencv4
```

Build the lib:

```
make all
```