NC='\033[0m' # No Color
GRE='\033[0;32m'
BLU='\033[0;34m'
YEL='\033[0;33m'


echo "${BLU}========================================"
echo "=   libsandbox requirements install    ="
echo "========================================${NC}"

echo "${YEL}Updating APT cache${NC}"
apt update

echo "${BLU}========================================"
echo "=   librealsense build requirements    ="
echo "========================================${NC}"
apt install -y git wget cmake build-essential libssl-dev libusb-1.0-0-dev libudev-dev pkg-config libgtk-3-dev libglfw3-dev libgl1-mesa-dev libglu1-mesa-dev at v4l-utils

echo "${BLU}========================================"
echo "=    libsandbox build requirements     ="
echo "========================================${NC}"
apt install -y libyaml-cpp-dev libopencv-dev qtbase5-dev qttools5-dev

echo "${BLU}========================================"
echo "=  Linking opencv4/opencv2 to opencv2  ="
echo "========================================${NC}"
ln -s /usr/include/opencv4/opencv2 /usr/include/opencv2
echo "${BLU}========================================"
echo "=  Linking opencv4.pc to opencv.pc  ="
echo "========================================${NC}"
ln -s /usr/lib/x86_64-linux-gnu/pkgconfig/opencv4.pc /usr/lib/x86_64-linux-gnu/pkgconfig/opencv.pc
echo "${GRE}Successfuly prepared environment${NC}"